[package]
name = "Config"
version = "0.1.0"
description = "The config application for Eiko2"
authors = ["Luis Bizarro"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
# The `_lib` suffix may seem redundant but it is necessary
# to make the lib name unique and wouldn't conflict with the bin name.
# This seems to be only an issue on Windows, see https://github.com/rust-lang/cargo/issues/8519
name = "config_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
tauri = { version = "2", features = [] }
tauri-plugin-opener = "2"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
display-info = "0.5.7"
xxhash-rust = { version = "0.8.15", features = ["xxh3"] }
reqwest = { version = "0.12", features = ["json", "stream", "blocking"] }
tokio = { version = "1", features = ["full"] }
rayon = "1.10"
memmap2 = "0.9"
futures-util = "0.3"
walkdir = "2.3"

[target.'cfg(windows)'.dependencies]
windows = { version = "0.62", features = ["Win32_Graphics_Direct3D9"] }

[profile.dev]
incremental = true

[profile.release]
codegen-units = 1 # Allows LLVM to perform better optimization.
lto = true        # Enables link-time-optimizations.
opt-level = "s"   # Prioritizes small binary size. Use `3` if you prefer speed.
panic = "abort"   # Higher performance by disabling panic handlers.
strip = true      # Ensures debug symbols are removed.
